Set WshShell = WScript.CreateObject("WScript.Shell")
If WScript.Arguments.length = 0 Then
	Set ObjShell = CreateObject("Shell.Application")
	ObjShell.ShellExecute "wscript.exe", """" & _
	WScript.ScriptFullName & """" &_
	" RunAsAdministrator", , "runas", 1
	WScript.Quit
End If

Dim objProgressMsg
Set WshShell = CreateObject("WScript.Shell")
OsType = WshShell.RegRead("HKLM\SYSTEM\CurrentControlSet\Control\Session Manager\Environment\PROCESSOR_ARCHITECTURE")

If(OsType = "x86") Then
	for32Bit()
Else
	for64Bit()	
End If

Function SelectFolder( myStartFolder, message )
    Dim objFolder, objItem, objShell
	On Error Resume Next
		SelectFolder = vbNull
		Set objShell  = CreateObject( "Shell.Application" )
		Set objFolder = objShell.BrowseForFolder( 0, message, 0, myStartFolder )
		If IsObject( objfolder ) Then SelectFolder = objFolder.Self.Path
		Set objFolder = Nothing
		Set objshell  = Nothing
    On Error Goto 0
End Function

Function for64Bit()
	dim idVersion
	idVersion = "15.0.0.155"
	strPath = SelectFolder(wshShell.ExpandEnvironmentStrings("%PROGRAMFILES%"), "Please Select the Adobe InDesign 2020 application folder")
	If(InStr(strPath, "Adobe InDesign 2020")) Then
		Set fso = CreateObject("Scripting.FileSystemObject") 
		strPath2 = strPath + "\InDesign.exe"
		if(fso.GetFileVersion(strPath2) = idVersion) then
			parentPath = fso.GetParentFolderName(wscript.ScriptFullName) 
			textpln1 = parentPath + "\win64\Character Panel.apln"
			textpln2 = parentPath + "\win64\Font Manager.rpln"
			textpln3 = parentPath + "\win64\TextPanelLib.dll"
			toCopytoPathtextpln1 = strPath + "\Plug-Ins\Text\"	
			toCopytoPathtextpln2 = strPath + "\Required\"	
			toCopytoPathtextpln3 = strPath + "\"
			ProgressMsg "Copying, Plugin for 64 Bit Application", ""
			WScript.Sleep 500
			Call copyTheFiles( textpln1,toCopytoPathtextpln1 )
			Call copyTheFiles( textpln2,toCopytoPathtextpln2 )
			Call copyTheFiles( textpln3,toCopytoPathtextpln3 )
			ProgressMsg "Installation of 64 Bit plugin completed.", "Done"
		Else
			MsgBox "InDesign 15.0 version is not installed. Please install InDesign 15.0 and try again", 16, "ERROR"
			WScript.Quit
		END IF
		
	Else
		MsgBox "Incorrect path selected. Please try again and select the folder Adobe InDesign 2020", 16, "ERROR"
		WScript.Quit
	End If
End Function

Function for32Bit()
	dim idVersion
	idVersion = "15.0.0.155"
	strPath = SelectFolder(wshShell.ExpandEnvironmentStrings("%PROGRAMFILES%"), "Please Select the Adobe InDesign 2020 application folder")
	If(InStr(strPath, "Adobe InDesign 2020")) Then
		Set fso = CreateObject("Scripting.FileSystemObject") 
		strPath2 = strPath + "\InDesign.exe"
		if(fso.GetFileVersion(strPath2) = idVersion) then
			parentPath = fso.GetParentFolderName(wscript.ScriptFullName) 
			textpln1 = parentPath + "\win64\Character Panel.apln"
			textpln2 = parentPath + "\win64\Font Manager.rpln"
			textpln3 = parentPath + "\win64\TextPanelLib.dll"
			toCopytoPathtextpln1 = strPath + "\Plug-Ins\Text\"	
			toCopytoPathtextpln2 = strPath + "\Required\"	
			toCopytoPathtextpln3 = strPath	
			ProgressMsg "Copying, Plugin for 32 Bit Application", ""
			WScript.Sleep 500
			Call copyTheFiles( textpln1,toCopytoPathtextpln1 )
			Call copyTheFiles( textpln2,toCopytoPathtextpln2 )
			Call copyTheFiles( textpln3,toCopytoPathtextpln3 )
			ProgressMsg "Installation of 32 Bit plugin completed.", "Done"
		Else
			MsgBox "InDesign 15.0 version is not installed. Please install InDesign 15.0 and try again", 16, "ERROR"
			WScript.Quit
		END IF
		
	Else
		MsgBox "Incorrect path selected. Please try again and select the folder Adobe InDesign 2020", 16, "ERROR"
		WScript.Quit
	End If
End Function


Function copyTheFolder( source, destination )
	Set objFSO = CreateObject("Scripting.FileSystemObject")
	If objFSO.FolderExists(destination) And objFSO.FolderExists(source) Then
		objFSO.CopyFolder source, destination, True
	Else
		MsgBox "Error in copying the file. Source or destination path could not be found", 16, "ERROR"
		WScript.Quit
	End If
End Function

Function copyTheFiles( source, destination )
	Set objFSO = CreateObject("Scripting.FileSystemObject")
	If objFSO.FolderExists(destination) And objFSO.FileExists(source) Then
		objFSO.CopyFile source, destination, True
	Else
		MsgBox "Error copying the file. Source or destination path could not be found", 16, "ERROR"
		WScript.Quit
	End If
End Function

Function ProgressMsg( strMessage, strWindowTitle )

    Set wshShell = WScript.CreateObject( "WScript.Shell" )
    strTEMP = wshShell.ExpandEnvironmentStrings( "%TEMP%" )
    If strMessage = "" Then
        
        On Error Resume Next
        objProgressMsg.Terminate( )
        On Error Goto 0
        Exit Function
    End If
    Set objFSO = CreateObject("Scripting.FileSystemObject")
    strTempVBS = strTEMP + "\" & "Message.vbs"    

    Set objTempMessage = objFSO.CreateTextFile( strTempVBS, True )
    objTempMessage.WriteLine( "MsgBox""" & strMessage & """, 4096, """ & strWindowTitle & """" )
    objTempMessage.Close

	On Error Resume Next
    objProgressMsg.Terminate( )
    On Error Goto 0

    Set objProgressMsg = WshShell.Exec( "%windir%\system32\wscript.exe " & strTempVBS )

    Set wshShell = Nothing
    Set objFSO   = Nothing
End Function